---
title: NoMachine
#tags:
#keywords:
last_updated: 9 July 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/nomachine.html
---

NoMachine is a desktop virtualization tool. It is similar to VNC, Remote
Desktop, etc. It uses the NX protocol to enable a graphical login to remote
servers.

## Installation

NoMachine is available for PSI Windows computers in the Software Kios under the
name **NX Client**. Please use the latest version (at least 6.0). For MacOS and
Linux, the NoMachine client can be downloaded from https://www.nomachine.com/.

## Connecting to Merlin

Currently the recommended way of connecting to Merlin5 is through
`merlin-nx-01.psi.ch`. This can be added in NoMachine as a new connection. It is
also available through `remacc.psi.ch`, a NoMachine 'jump point' provided by
Photon Science for access from outside PSI.

The `merlin-nx-01` machine does not directly access Merlin itself. However it
provides a fully configured Linux environment from which merlin can be accessed
with `ssh` commands.

It is planned to run NoMachine directly on the Merlin6 login node in the future.
This will enable data to be more easily transferred from Merlin6 through
NoMachine.

