---
title: Known Problems
#tags:
#keywords:
last_updated: 20 June 2019
#summary: ""
sidebar: merlin6_sidebar
permalink: /merlin6/known-problems.html
---

## Known Problems Summary

| Topic                                                     |
|:--------------------------------------------------------- |
| [Paraview](## Paraview, ANSYS and OpenGL)                 |
| [ANSYS](## Paraview, ANSYS and OpenGL)                    |
| [Illegal instructions error](## Illegal instructions)     |

## Paraview, ANSYS and OpenGL

Try to use X11(mesa) driver for Paraview and ANSYS instead of OpenGL:

```bash
# ANSYS
module load ANSYS
fluent -driver x11

# ParaView
module load paraview
paraview --mesa
```

## Illegal instructions

It may happened that your code, compiled on one machine will not be executed on another throwing exception like "(Illegal instruction)".
Check (with "hostname" command) on which of the node you are and compare it with the names from first item. We observe few applications
that can't be run on merlin-c-01..16 because of this problem (notice that these machines are more then 5 years old). Hint: you may
choose the particular flavour of the machines for your slurm job, check the "--cores-per-node" option for sbatch:

```bash
sbatch --cores-per-socket=8 Script.sh # will filter the selection of the machine and exclude the oldest one, merlin-c-01..16
```
